[@rxap/window-system](../wiki/globals) / WindowContext

# Interface: WindowContext\<D\>

Defined in: [packages/angular/window-system/src/lib/window-context.ts:8](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L8)

## Type Parameters

• **D**

## Properties

### data?

> `optional` **data**: `D`

Defined in: [packages/angular/window-system/src/lib/window-context.ts:11](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L11)

***

### id

> **id**: `string`

Defined in: [packages/angular/window-system/src/lib/window-context.ts:12](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L12)

***

### overlayRef

> **overlayRef**: `OverlayRef`

Defined in: [packages/angular/window-system/src/lib/window-context.ts:9](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L9)

***

### windowRef

> **windowRef**: [`WindowRef`](../wiki/Class.WindowRef)\<`D`\>

Defined in: [packages/angular/window-system/src/lib/window-context.ts:10](https://gitlab.com/rxap/packages/-/blob/04bb8fc10d6af54fc10c1692a594ff3f5e46e679/packages/angular/window-system/src/lib/window-context.ts#L10)
